//
// Created by zx on 2021/5/27.
//

#ifndef LIDARMEASURE_SRC_PUBLISHER_HPP_
#define LIDARMEASURE_SRC_PUBLISHER_HPP_

#include "singleton.h"
#include "communication_socket_base.h"

class Publisher : public Communication_socket_base,public Singleton<Publisher>
{
    friend class Singleton<Publisher>;
 public:
    Publisher(const Publisher& other)=delete;
    Publisher& operator=(const Publisher& other)=delete;

    Error_manager publish_msg(Communication_message* msg);
    ~Publisher();

 protected:
    Publisher();
};


#endif //LIDARMEASURE_SRC_PUBLISHER_HPP_
